Server Automatic Tuning - Get
サーバーの自動チューニング オプションを取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/automaticTuning/current?api-version=2025-01-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前の大文字と小文字は区別されません。 |
|
server
|
path | True |
string |
サーバーの名前。 |
|
subscription
|
path | True |
string (uuid) |
ターゲット サブスクリプションの ID。 値は UUID である必要があります。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
Azureの運用は無事に完了しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 Flow.
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Get a server's automatic tuning settings
要求のサンプル
GET https://management.azure.com/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/automaticTuning/current?api-version=2025-01-01
応答のサンプル
{
"name": "current",
"type": "Microsoft.Sql/servers/automaticTuning",
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/automaticTuning/current",
"properties": {
"actualState": "Auto",
"desiredState": "Auto",
"options": {
"createIndex": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"dropIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"forceLastGoodPlan": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"maintainIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
定義
| 名前 | 説明 |
|---|---|
|
Automatic |
自動チューニング オプションの実際の状態。 |
|
Automatic |
自動チューニング オプションの必要な状態。 |
|
Automatic |
必要な状態の自動チューニング。 |
|
Automatic |
個々のアドバイザーの自動チューニング プロパティ。 |
|
Automatic |
必要な場合の理由の説明と実際の状態が異なります。 |
|
created |
リソースを作成した ID の種類。 |
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
Server |
サーバー レベルの自動チューニング。 |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
AutomaticTuningOptionModeActual
自動チューニング オプションの実際の状態。
| 値 | 説明 |
|---|---|
| Off |
オフ |
| On |
オン |
AutomaticTuningOptionModeDesired
自動チューニング オプションの必要な状態。
| 値 | 説明 |
|---|---|
| Off |
オフ |
| On |
オン |
| Default |
デフォルト |
AutomaticTuningServerMode
必要な状態の自動チューニング。
| 値 | 説明 |
|---|---|
| Custom |
カスタム |
| Auto |
自動 |
| Unspecified |
指定されていません。 |
AutomaticTuningServerOptions
個々のアドバイザーの自動チューニング プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| actualState |
自動チューニング オプションの実際の状態。 |
|
| desiredState |
自動チューニング オプションの必要な状態。 |
|
| reasonCode |
integer (int32) |
必要に応じて理由コードと実際の状態が異なります。 |
| reasonDesc |
必要な場合の理由の説明と実際の状態が異なります。 |
AutomaticTuningServerReason
必要な場合の理由の説明と実際の状態が異なります。
| 値 | 説明 |
|---|---|
| Default |
デフォルト |
| Disabled |
Disabled |
| AutoConfigured |
AutoConfigured |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
ServerAutomaticTuning
サーバー レベルの自動チューニング。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string (arm-id) |
リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
リソースの名前 |
| properties.actualState |
自動チューニングの実際の状態。 |
|
| properties.desiredState |
必要な状態の自動チューニング。 |
|
| properties.options |
<string,
Automatic |
自動チューニング オプションの定義。 |
| systemData |
create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」 |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |